# libpysal.weights.testDataArray

libpysal.weights.testDataArray(shape=(3, 4, 4), time=False, rand=False, missing_vals=True)

  Creates 2 or 3 dimensional test xarray.DataArray object

  Parameters:
    shape `python:tuple`

      Tuple containing shape of the DataArray aligned with following dimension = (lat, lon) or (layer, lat, lon) Default shape = (3, 4, 4)

    time bool

      Type of layer, if True then layer=time else layer=band Default is False.

    rand bool

      If True, creates a DataArray filled with unique and random data. Default is false (generates seeded random data)

    missing_vals bool

      Create a DataArray filled with missing values. Default is True.

  Returns:
    da `xarray.DataArray`

      instance of xarray.DataArray